## gcc-10-cross-mipsen 3+c1ubuntu1

=== debian/changelog ===
gcc-10-cross-mipsen (3+c1ubuntu1) groovy-proposed; urgency=medium

  * SRU: LP: #1930125. Update to the GCC 10.3.0 release.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 May 2021 11:59:29 +0200
