=== debian/control ===
Source: gcc-10-cross-mipsen
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, YunQiang Su <syq@debian.org>
Standards-Version: 4.5.0
Build-Depends: gcc-10-source (>= 10.3.0-0~), binutils-multiarch (>= 2.35-1),
  autoconf, bison (>= 1:2.3),
  chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
  gperf (>= 3.0.1), 
  binutils-mips-linux-gnu (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsel-linux-gnu (>= 2.35-1) [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], binutils-mips64el-linux-gnuabi64 (>= 2.35-1) [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], binutils-mips64-linux-gnuabi64 (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa32r6-linux-gnu (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa32r6el-linux-gnu (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa64r6-linux-gnuabi64 (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa64r6el-linux-gnuabi64 (>= 2.35-1) [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
  libc6-dev-mips-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsel-cross (>= 2.31) [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], libc6-dev-mips64el-cross (>= 2.31) [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsr6-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsr6el-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64r6-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64r6el-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel arm64 ppc64el], libc6-dev-mips64-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el], libc6-dev-mipsn32-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
  linux-libc-dev-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], linux-libc-dev-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
  libisl-dev (>= 0.22.1-1~), libmpc-dev,
  libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
  dwz, pkg-config, libgc-dev,
  patchutils, procps, quilt, coreutils (>= 2.26) | realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
  g++-10,
  gccgo-10,
  gdc-10,
  gm2-10 [!powerpc !ppc64 !x32], python3,
  gnat-10 [!m32r !sh3 !sh3eb !sh4eb],
  xz-utils, zlib1g-dev, python3
Build-Conflicts: gcc-multilib,
  libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc-cross/tree/gcc-10-cross-mipsen
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc-cross.git -b gcc-10-cross-mipsen

Package: gcc-10-cross-base-mipsen
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (library base package)
 This package contains files common to all libraries
 contained in the GNU Compiler Collection (GCC).

Package: gcc-10-mips-linux-gnu-base
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Section: devel
Priority: optional
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-s1-mips-cross
Architecture: all
Section: devel
Priority: optional
Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc-s1-mips-dcv1
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for mips architecture, for use in cross-compile
 environment.

Package: libgcc-10-dev-mips-cross
Architecture: all
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm}, ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan}, ${dep:libtsan}, ${dep:libubsan}, ${dep:libvtv}${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-10 (<< ${gcc:SplitVersion})
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libgcc-s1-dbg-mips-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), libgcc-s1-mips-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for mips architecture, for use in cross-compile
 environment.

Package: lib64gcc-s1-mips-cross
Architecture: all
Section: devel
Priority: optional
Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Provides: lib64gcc-s1-mips-dcv1
Conflicts: libgcc-s1-mips-cross (<= 1:3.3-0pre9)
Description: GCC support library (64bit)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for mips architecture, for use in cross-compile
 environment.

Package: lib64gcc-10-dev-mips-cross
Architecture: all
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-10-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (64bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib64gcc-s1-dbg-mips-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), lib64gcc-s1-mips-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for mips architecture, for use in cross-compile
 environment.

Package: libn32gcc-s1-mips-cross
Architecture: all
Section: devel
Priority: optional
Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Provides: libn32gcc-s1-mips-dcv1
Conflicts: libgcc-s1-mips-cross (<= 1:3.3-0pre9)
Description: GCC support library (n32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for mips architecture, for use in cross-compile
 environment.

Package: libn32gcc-10-dev-mips-cross
Architecture: all
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-10-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (n32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libn32gcc-s1-dbg-mips-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), libn32gcc-s1-mips-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for mips architecture, for use in cross-compile
 environment.

Package: gcc-10-mips-linux-gnu
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Section: devel
Priority: optional
Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), cpp-10-mips-linux-gnu (= ${gcc:Version}), binutils-mips-linux-gnu (>= ${binutils:Version}), libgcc-10-dev-mips-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, gcc-10-doc (>= ${gcc:SoftVersion}), gcc-10-locales (>= ${gcc:SoftVersion}), libgcc-s1-dbg-mips-cross, libgomp1-dbg-mips-cross, libitm1-dbg-mips-cross, libatomic1-dbg-mips-cross, libtsan0-dbg-mips-cross, libbacktrace1-dbg-mips-cross, libquadmath-dbg-mips-cross, ${dep:libcloog}, ${dep:gold}
Provides: c-compiler-mips-linux-gnu
Description: GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This package contains C cross-compiler for mips architecture.

Package: gcc-10-multilib-mips-linux-gnu
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Section: devel
Priority: optional
Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), gcc-10-mips-linux-gnu (= ${gcc:Version}), ${dep:libcbiarchdev}, ${dep:libgccbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
Description: GNU C compiler (multilib files)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: gcc-10-plugin-dev-mips-linux-gnu
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Section: devel
Priority: optional
