## gcc-10-cross-mipsen 3+c2build1

=== debian/changelog ===
gcc-10-cross-mipsen (3+c2build1) hirsute; urgency=medium

  * Build with gcc 10.2.0-19ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Nov 2020 20:12:13 +0100
