## gcc-10-cross-mipsen 3+c2build2

=== debian/changelog ===
gcc-10-cross-mipsen (3+c2build2) hirsute; urgency=medium

  * Build with gcc 10.2.1-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Dec 2020 11:13:32 +0100
