=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, YunQiang Su <syq@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: gcc-10-source (>= 10.2.0-19~), binutils-multiarch (>= 2.35-1),
+Build-Depends: gcc-10-source (>= 10.2.1-1~), binutils-multiarch (>= 2.35-1),
   autoconf, bison (>= 1:2.3),
   chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
   gperf (>= 3.0.1),
