=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 endif
 
 ifeq ($(GCC_VER),10)
-  MIN_VER_GCC      := 10.2.1-1~
-  PPA_VER_GCC      := 10.2.1-1~
+  MIN_VER_GCC      := 10.2.0-3~
+  PPA_VER_GCC      := 10.2.0-3~
 endif
 
 ifndef MIN_VER_GCC
