## gcc-10-cross-mipsen 3+c4ubuntu2

=== debian/changelog ===
gcc-10-cross-mipsen (3+c4ubuntu2) mantic; urgency=medium

  * Build using gcc 10.5.0-1ubuntu1.
  * Stop building the common libs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Jul 2023 07:56:35 +0200
