=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, YunQiang Su <syq@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: gcc-10-source (>= 10.2.0-3~), binutils-multiarch (>= 2.35-1),
+Build-Depends: gcc-10-source (>= 10.5.0-1~), binutils-multiarch (>= 2.35-1),
   autoconf, bison (>= 1:2.3),
   chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
-  gperf (>= 3.0.1), 
+  gperf (>= 3.0.1), lib64gcc1-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libn32gcc1-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], lib64gcc1-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], libn32gcc1-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], lib32gcc1-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libn32gcc1-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], lib32gcc1-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], libn32gcc1-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], lib64gcc1-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libn32gcc1-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], lib64gcc1-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libn32gcc1-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], lib32gcc1-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libn32gcc1-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], lib32gcc1-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el], libn32gcc1-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
   binutils-mips-linux-gnu (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsel-linux-gnu (>= 2.35-1) [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], binutils-mips64el-linux-gnuabi64 (>= 2.35-1) [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], binutils-mips64-linux-gnuabi64 (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa32r6-linux-gnu (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa32r6el-linux-gnu (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa64r6-linux-gnuabi64 (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa64r6el-linux-gnuabi64 (>= 2.35-1) [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
   libc6-dev-mips-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsel-cross (>= 2.31) [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], libc6-dev-mips64el-cross (>= 2.31) [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsr6-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsr6el-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64r6-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64r6el-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel arm64 ppc64el], libc6-dev-mips64-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el], libc6-dev-mipsn32-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
   linux-libc-dev-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], linux-libc-dev-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
@@ -45,20 +45,6 @@
  This package contains files common to all languages and libraries
  contained in the GNU Compiler Collection (GCC).
 
-Package: libgcc-s1-mips-cross
-Architecture: all
-Section: devel
-Priority: optional
-Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
-Provides: libgcc-s1-mips-dcv1
-Description: GCC support library
- Shared version of the support library, a library of internal subroutines
- that GCC uses to overcome shortcomings of particular machines, or
- special needs for some languages.
- .
- This package contains files for mips architecture, for use in cross-compile
- environment.
-
 Package: libgcc-10-dev-mips-cross
 Architecture: all
 Section: libdevel
@@ -81,21 +67,6 @@
  This package contains files for mips architecture, for use in cross-compile
  environment.
 
-Package: lib64gcc-s1-mips-cross
-Architecture: all
-Section: devel
-Priority: optional
-Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
-Provides: lib64gcc-s1-mips-dcv1
-Conflicts: libgcc-s1-mips-cross (<= 1:3.3-0pre9)
-Description: GCC support library (64bit)
- Shared version of the support library, a library of internal subroutines
- that GCC uses to overcome shortcomings of particular machines, or
- special needs for some languages.
- .
- This package contains files for mips architecture, for use in cross-compile
- environment.
-
 Package: lib64gcc-10-dev-mips-cross
 Architecture: all
 Section: libdevel
@@ -114,21 +85,6 @@
 Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), lib64gcc-s1-mips-cross (= ${gcc:EpochVersion}), ${misc:Depends}
 Description: GCC support library (debug symbols)
  Debug symbols for the GCC support library.
- .
- This package contains files for mips architecture, for use in cross-compile
- environment.
-
-Package: libn32gcc-s1-mips-cross
-Architecture: all
-Section: devel
-Priority: optional
-Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
-Provides: libn32gcc-s1-mips-dcv1
-Conflicts: libgcc-s1-mips-cross (<= 1:3.3-0pre9)
-Description: GCC support library (n32)
- Shared version of the support library, a library of internal subroutines
- that GCC uses to overcome shortcomings of particular machines, or
- special needs for some languages.
  .
  This package contains files for mips architecture, for use in cross-compile
  environment.
@@ -183,3 +139,10 @@
 Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
 Section: devel
 Priority: optional
+Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), gcc-10-mips-linux-gnu (= ${gcc:Version}), libgmp-dev (>= 2:5.0.1~), ${shlibs:Depends}, ${misc:Depends}
+Description: Files for GNU GCC plugin development.
+ This package contains (header) files for GNU GCC plugin development. It
+ is only used for the development of GCC plugins, but not needed to run
+ plugins.
+
+Package: cpp-10-mips-linux-gnu
