=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 endif
 
 ifeq ($(GCC_VER),10)
-  MIN_VER_GCC      := 10.2.0-3~
-  PPA_VER_GCC      := 10.2.0-3~
+  MIN_VER_GCC      := 10.5.0-1~
+  PPA_VER_GCC      := 10.5.0-1~
 endif
 
 ifndef MIN_VER_GCC
@@ -145,7 +145,7 @@
 
 libgcc_source := $(shell apt-cache show --no-all-versions libgcc1-arm64-cross | awk '/^Source:/ { print $$2 }')
 #ifneq ($(DEB_NAME_ACT),$(libgcc_source))
-#  skip_common_packages = yes
+  skip_common_packages = yes
 #endif
 
 BINUTILS_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),binutils-$(call _pkg_gnu_type,$(a)) (>= $(MIN_VER_BINUTILS)) [$(HOST_ARCHS_$(a))]$(,))
