## gcc-10-cross-mipsen 3+c5

=== debian/changelog ===
gcc-10-cross-mipsen (3+c5) unstable; urgency=medium

  * Build with gcc-10 10.2.1-6
  * Require binutils >= 2.35.2-2

 -- YunQiang Su <syq@debian.org>  Sun, 25 Apr 2021 17:32:17 +0800
