=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, YunQiang Su <syq@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: gcc-10-source (>= 10.5.0-1~), binutils-multiarch (>= 2.35-1),
+Build-Depends: gcc-10-source (>= 10.2.1-6~), binutils-multiarch (>= 2.35.2-2),
   autoconf, bison (>= 1:2.3),
   chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
-  gperf (>= 3.0.1), lib64gcc1-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libn32gcc1-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], lib64gcc1-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], libn32gcc1-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], lib32gcc1-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libn32gcc1-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], lib32gcc1-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], libn32gcc1-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], lib64gcc1-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libn32gcc1-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], lib64gcc1-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libn32gcc1-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], lib32gcc1-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libn32gcc1-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], lib32gcc1-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el], libn32gcc1-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
-  binutils-mips-linux-gnu (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsel-linux-gnu (>= 2.35-1) [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], binutils-mips64el-linux-gnuabi64 (>= 2.35-1) [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], binutils-mips64-linux-gnuabi64 (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa32r6-linux-gnu (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa32r6el-linux-gnu (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa64r6-linux-gnuabi64 (>= 2.35-1) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa64r6el-linux-gnuabi64 (>= 2.35-1) [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
+  gperf (>= 3.0.1), 
+  binutils-mips-linux-gnu (>= 2.35.2-2) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsel-linux-gnu (>= 2.35.2-2) [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], binutils-mips64el-linux-gnuabi64 (>= 2.35.2-2) [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], binutils-mips64-linux-gnuabi64 (>= 2.35.2-2) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa32r6-linux-gnu (>= 2.35.2-2) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa32r6el-linux-gnu (>= 2.35.2-2) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa64r6-linux-gnuabi64 (>= 2.35.2-2) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa64r6el-linux-gnuabi64 (>= 2.35.2-2) [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
   libc6-dev-mips-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsel-cross (>= 2.31) [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], libc6-dev-mips64el-cross (>= 2.31) [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsr6-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsr6el-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64r6-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64r6el-cross (>= 2.31) [amd64 i386 x32 mips64el mipsel arm64 ppc64el], libc6-dev-mips64-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el], libc6-dev-mipsn32-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
   linux-libc-dev-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], linux-libc-dev-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
   libisl-dev (>= 0.22.1-1~), libmpc-dev,
@@ -45,6 +45,20 @@
  This package contains files common to all languages and libraries
  contained in the GNU Compiler Collection (GCC).
 
+Package: libgcc-s1-mips-cross
+Architecture: all
+Section: devel
+Priority: optional
+Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides: libgcc-s1-mips-dcv1
+Description: GCC support library
+ Shared version of the support library, a library of internal subroutines
+ that GCC uses to overcome shortcomings of particular machines, or
+ special needs for some languages.
+ .
+ This package contains files for mips architecture, for use in cross-compile
+ environment.
+
 Package: libgcc-10-dev-mips-cross
 Architecture: all
 Section: libdevel
@@ -56,13 +70,17 @@
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
 
-Package: libgcc-s1-dbg-mips-cross
+Package: lib64gcc-s1-mips-cross
 Architecture: all
-Section: debug
+Section: devel
 Priority: optional
-Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), libgcc-s1-mips-cross (= ${gcc:EpochVersion}), ${misc:Depends}
-Description: GCC support library (debug symbols)
- Debug symbols for the GCC support library.
+Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
+Provides: lib64gcc-s1-mips-dcv1
+Conflicts: libgcc-s1-mips-cross (<= 1:3.3-0pre9)
+Description: GCC support library (64bit)
+ Shared version of the support library, a library of internal subroutines
+ that GCC uses to overcome shortcomings of particular machines, or
+ special needs for some languages.
  .
  This package contains files for mips architecture, for use in cross-compile
  environment.
@@ -78,13 +96,17 @@
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
 
-Package: lib64gcc-s1-dbg-mips-cross
+Package: libn32gcc-s1-mips-cross
 Architecture: all
-Section: debug
+Section: devel
 Priority: optional
-Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), lib64gcc-s1-mips-cross (= ${gcc:EpochVersion}), ${misc:Depends}
-Description: GCC support library (debug symbols)
- Debug symbols for the GCC support library.
+Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
+Provides: libn32gcc-s1-mips-dcv1
+Conflicts: libgcc-s1-mips-cross (<= 1:3.3-0pre9)
+Description: GCC support library (n32)
+ Shared version of the support library, a library of internal subroutines
+ that GCC uses to overcome shortcomings of particular machines, or
+ special needs for some languages.
  .
  This package contains files for mips architecture, for use in cross-compile
  environment.
@@ -99,17 +121,6 @@
 Description: GCC support library (n32 development files)
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
-
-Package: libn32gcc-s1-dbg-mips-cross
-Architecture: all
-Section: debug
-Priority: optional
-Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), libn32gcc-s1-mips-cross (= ${gcc:EpochVersion}), ${misc:Depends}
-Description: GCC support library (debug symbols)
- Debug symbols for the GCC support library.
- .
- This package contains files for mips architecture, for use in cross-compile
- environment.
 
 Package: gcc-10-mips-linux-gnu
 Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
@@ -146,3 +157,21 @@
  plugins.
 
 Package: cpp-10-mips-linux-gnu
+Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Section: devel
+Priority: optional
+Depends: gcc-10-mips-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Suggests: gcc-10-locales (>= ${gcc:SoftVersion})
+Description: GNU C preprocessor
+ A macro processor that is used automatically by the GNU C compiler
+ to transform programs before actual compilation.
+ .
+ This package has been separated from gcc for the benefit of those who
+ require the preprocessor but not the compiler.
+ .
+ This package contains preprocessor configured for mips architecture.
+
+Package: g++-10-mips-linux-gnu
+Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Section: devel
+Priority: optional
