=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 endif
 
 ifeq ($(GCC_VER),10)
-  MIN_VER_GCC      := 10.5.0-1~
-  PPA_VER_GCC      := 10.5.0-1~
+  MIN_VER_GCC      := 10.2.1-6~
+  PPA_VER_GCC      := 10.2.1-6~
 endif
 
 ifndef MIN_VER_GCC
@@ -40,8 +40,8 @@
 VER_GCC        := $(shell dpkg-parsechangelog -l/usr/src/gcc-${GCC_VER}/debian/changelog | awk '/^Version:/ {print $$2}' | sed 's/-[^-]*$$//')
 GCC_DIR        := /usr/src/gcc-${GCC_VER}
 GCC_TARBALL := $(wildcard $(GCC_DIR)/gcc-*.xz)
-VER_BINUTILS   := 2.35-1
-MIN_VER_BINUTILS   := 2.35-1
+VER_BINUTILS   := 2.35.2-2
+MIN_VER_BINUTILS   := 2.35.2-2
 VER_ISL      := 0.22.1-1~
 MIN_VER_GLIBC   := 2.31
 
@@ -145,7 +145,7 @@
 
 libgcc_source := $(shell apt-cache show --no-all-versions libgcc1-arm64-cross | awk '/^Source:/ { print $$2 }')
 #ifneq ($(DEB_NAME_ACT),$(libgcc_source))
-  skip_common_packages = yes
+#  skip_common_packages = yes
 #endif
 
 BINUTILS_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),binutils-$(call _pkg_gnu_type,$(a)) (>= $(MIN_VER_BINUTILS)) [$(HOST_ARCHS_$(a))]$(,))
