## gcc-10-cross-mipsen 3+c6

=== debian/changelog ===
gcc-10-cross-mipsen (3+c6) unstable; urgency=medium

  * Build with 10.5.0-1.

 -- YunQiang Su <syq@debian.org>  Mon, 10 Jul 2023 11:44:07 +0800
