## gcc-10-cross-mipsen 3+c6ubuntu1

=== debian/changelog ===
gcc-10-cross-mipsen (3+c6ubuntu1) noble; urgency=medium

  * Build using 10.5.0-4ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Apr 2024 09:11:18 +0200
